[script]
n0=on ^1:SNOTICE:*:{
n1=  if (whois isin $1-) {
n2=    if ($window(@Whois) == $null) { window -ne @Whois }
n3=    echo 12 -t @Whois $1- | halt
n4=  }
n5=  if (his/her isin $1-) || (Failed isin $1-) || (Denied isin $1-) || (tkl isin $1-) || (Q: isin $1-) || (used isin $1-) || (OperOverride isin $1-) || (Mismatch: isin $1-) || (is now isin $1-) || (GECOS isin $1-) || (warning isin $1-)  {
n6=    if ($window(@Opers) == $null) { window -ne @Opers }
n7=    echo 12 -t @Opers $1- | halt
n8=  }
n9=  if (Locops isin $1-) || (activated isin $1-) {
n10=    if ($window(@UyarI) == $null) { window -ne @UyarI }
n11=    echo 12 -t @UyarI $1- | halt
n12=  }
n13=  if (added isin $1-) || (Received isin $1-) {
n14=    if ($window(@XLine) == $null) { window -ne @XLine }
n15=    echo 12 -t @XLine $1- | halt
n16=  }
n17=  if (removed isin $1-) {
n18=    if ($window(@XLine) == $null) { window -ne @XLine }
n19=    echo 4 -t @XLine $1- | halt
n20=  }
n21=  if (banned isin $1-) {
n22=    if ($window(@Giris/Cikis) == $null) { window -ne @Giris/Cikis }
n23=    echo 12 -t @Giris/Cikis $1- | halt
n24=  }
n25=  if (Connecting isin $1-) {
n26=    if ($window(@Giris/Cikis) == $null) { window -ne @Giris/Cikis }
n27=    if (%ptarama == on) {
n28=      if (*client connecting at* iswm iswm $1-) { pscan $remove($gettok($9,2,64),$chr(41)) }
n29=      if (*client connecting on* iswm iswm $1-) { pscan $remove($gettok($10,2,64),$chr(41)) }
n30=    }
n31=    echo 4 -t @Giris/Cikis $1- | halt
n32=  }
n33=  if (exiting isin $1-) || (recvQ isin $1-) {
n34=    if ($window(@Giris/Cikis) == $null) { window -ne @Giris/Cikis }
n35=    echo 4 -t @Giris/Cikis $1- | halt
n36=  }
n37=  if (Forbidding isin $1-) || (Q:lined isin $1-) {
n38=    if ($window(@Q-Lined) == $null) { window -ne @Q-Lined }
n39=    echo 12 -t @Q-Lined $1- | halt
n40=  }
n41=  if (Expiring isin $1-) {
n42=    if ($window(@XLine) == $null) { window -ne @XLine }
n43=    echo 12 -t @XLine $1- | halt
n44=  }
n45=  if ([Spamfilter] isin $1-) {
n46=    if ($window(@Spam) == $null) { window -ne @Spam }
n47=    echo 12 -t @Spam $1- 
n48=    halt
n49=  }
n50=}
n51=raw 340:*:pscan $gettok($2,2,64) | halt
n52=alias pscan {
n53=  if $1 == $null halt
n54=  var %ip $1
n55=  var %pline $lines($mircdirports.txt)
n56=  var %z 1
n57=  while (%z <= %pline) {
n58=    if ($read($mircdirports.txt,%z) == $null) { return }
n59=    sockopen port $+ $rand(111,999) $+ $rand(111,999) $+ $rand(111,999) %ip $read($mircdirports.txt,%z)
n60=    inc %z
n61=  }
n62=}
n63=
n64=on *:sockopen:port*:{
n65=  if ($sockerr < 1) siktiret $sock($sockname,1).ip $sock($sockname,1).port
n66=  sockclose $sockname 
n67=}
n68=alias siktiret {
n69=  set %i 0
n70=  :checking
n71=  inc %i 1
n72=  set %portfound $read -l $+ %i $mircdirports.txt
n73=  if (%portfound == $null) { .unset %i | goto end }
n74=  else {
n75=    if (%portfound isin $2) { goto offense }
n76=    else { goto checking }
n77=  }
n78=  :offense
n79=  gzline *@ $+ $1 +0 %proxymesaji
n80=  ;os akill add +0 *@ $+ $1 Sunucumuza Proxy Girişi Yasaklanmıştır Lütfen Normal ISS ile Bağlanmayı Deneyiniz.
n81=  write $mircdirproxylistesi.txt $1 $+ : $+ $2
n82=  if ($window(@UyarI) == $null) { window -ne @UyarI }
n83=  echo 12 -t @UyarI $1-
n84=  :end
n85=}
n86=alias dpscan {
n87=  if (!$dialog(dpscan)) dialog -m dpscan dpscan
n88=  else dialog -v dpscan
n89=}
n90=dialog dpscan {
n91=  title "XcLusive Proxy Tarayıcı"
n92=  size -1 -1 124 108
n93=  option dbu
n94=  box "Portlar", 2, 5 5 114 98
n95=  button "Ekle", 3, 75 19 37 12
n96=  combo 1, 9 16 60 60, size
n97=  button "Sil", 4, 75 39 37 12
n98=  text "ZLine Mesajı:", 5, 9 78 47 8
n99=  button "Tamam", 6, 75 59 37 12
n100=  edit "", 7, 9 88 103 10
n101=}
n102=
n103=
n104=on 1:dialog:dpscan:*:*:{
n105=  if $devent == init {
n106=    idset 20
n107=    loadbuf -o $dname 1 ports.txt
n108=    did -a $dname 7 %proxymesaji
n109=  }
n110=  if $devent == sclick {
n111=    if $did == 3 {
n112=      write ports.txt $did(1).text 
n113=      did -r $dname 1
n114=      loadbuf -o $dname 1 ports.txt
n115=    }
n116=    if $did == 4 {
n117=      write -ds $+ $did(1).text ports.txt
n118=      did -r $dname 1
n119=      loadbuf -o $dname 1 ports.txt
n120=    }
n121=    if $did == 6 dx
n122=  }
n123=  if $devent == edit {
n124=    if $did == 7 { set %proxymesaji $did(7).text }
n125=  }
n126=}
n127=#eflood off
n128=on 1:snotice:*flood*--*:{
n129=  gzline * $+ $mid($4,$pos($4,@),$len($4)) +900 Excess Flood Korumasi 15 Dakika Banlisiniz
n130=  halt
n131=}
n132=#eflood end
